# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="master";
  name = "github-teleragno-www-${version}";

  # liste des fonction de récup : fetch*  https://github.com/NixOS/nixpkgs/tree/master/pkgs/build-support
  src = fetchurl {
    url = "https://github.com/teleragno/teleragno.github.io/archive/${version}.tar.gz";
    sha256 = "1lmbvqz9d2yjs5xwbx0h7pzq8sxw182fzcv6hsfma4dk970lkk88";
  };

  installPhase = "cp -R . \$out";

  meta = with stdenv.lib; {
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
